@mixin block-styles { //Стили для блоков
    padding: 32px;
    background-color: #F8FDFE;
    display: flex;
    flex-direction: column;
    position: relative;
    gap: 16px;
    margin-top: 24px;
    border: 1px solid #8E8E8E;
}
@mixin btn-add-basket { //Стили для кнопки с названием Add basket
    padding: 8px 24px;
    border-radius: 4px;
    width: 242px;
    height: 40px;
    color: var(--white, #F8FDFE);
    font-weight: 400;
    border: none;
    background: var(--eggplant, #4C394E);
    display: flex;
    justify-content: center;
    align-items: center;
    
    &:hover {
        background: #744978;
    }
}
@mixin btn-end-up { //Стили для кнопки с названием End up
    padding: 8px 24px;
    border-radius: 4px;
    width: 242px;
    height: 40px;
    color: var(--white, #F8FDFE);
    font-weight: 400;
    border: none;
    background: var(--eggplant, #4D762D);
    display: flex;
    justify-content: center;
    align-items: center;

    &:hover {
        background: #6DB236;
    }
}
@mixin paragraph-one { //Стили для первых параграфов блока
    color: var(--black, #1F1F1F);
    font-size: 20px;
    font-weight: 700;
    line-height: 28px;
    text-decoration: none;
}
@mixin paragraph-two { //Стили для вторых параграфов блока
    color: var(--gray, #8E8E8E);
    font-size: 16px;
    font-weight: 400;
    line-height: 24px;
    border-top: 1px solid #A8A8A8;
}
@mixin paragraph-three { //Стили для параграфа с ценой без скидки
    color: #E90000;
    font-size: 24px;
    font-weight: 500;
    line-height: 32px;
    padding-top: 8px;
}
@mixin line-through { //Стили для параграфа с ценой со скидкой
    color: var(--gray, #8E8E8E);
    font-size: 24px;
    text-decoration-line: line-through;
    padding-left: 24px;
}
@mixin hit { //Общие стили наклейки с текстом Hit
    color: #F8FDFE;
    background-color: #4200FF;
    border-radius: 4px;
    padding: 4px 8px;
    width: 20px;
    height: 24px;
    display: flex;
    justify-content: center;
    align-items: center;
}
@mixin new { //Общие стили наклейки с текстом New
    color: #F8FDFE;
    background-color: #AF39E7;
    border-radius: 4px;
    padding: 4px 8px;
    width: 31px;
    height: 24px;
    display: flex;
    justify-content: center;
    align-items: center;
}
@mixin off {
    color: #F8FDFE;
    font-size: 16px;
    font-weight: 400;
    padding: 4px 8px;
    border-radius: 4px;
    background: #EA33C0;
    width: 54px;
    height: 24px;
    display: flex;
    justify-content: center;
    align-items: center;
}